library(ggplot2)
setwd("C:/Users/mqin/Documents/Non_combustion/CMAQ_simuations/Ozone_paper")

data_plot<-read.csv(file="Ozone_MDA8.csv",header=TRUE)
filename<-"Ozone_MDA8_scatter3.pdf"

Obs<-data_plot$..Obs
emism<-data_plot$X3emis
base<-data_plot$base
noVCP<-data_plot$noVCP
colnames(data_plot)<-c("Obs","base","emism","noVCP")

fig.height = 6
fig.width  = 6.5
cm2inch    = 0.393701
pdf(file = filename,
    height=fig.height*cm2inch, width=fig.width*cm2inch,
    paper="special", bg="white")
Oup = 0.02
Odown = 0.02
Oleft = 0.25
Oright = 0.02
outer_mar = c( Odown, Oleft, Oup, Oright) * cm2inch
Iup = 0.1
Idown = 0.1
Ileft = 0.5
Iright = 0.1
inner_mar = c( Idown, Ileft, Iup, Iright ) * cm2inch

m1 = lm (emism~Obs+0)
m2 = lm (base~Obs+0)
m3 = lm (noVCP~Obs+0)


print(ggplot(data_plot)+geom_point(aes(Obs,emism),shape=1,size=1.5,colour="dodgerblue3") +
      geom_point(aes(Obs,base),shape=1,size=1.5,colour="red") +
      geom_point(aes(Obs,noVCP),shape=16,size=1.5,colour="red",alpha=0.3) +        
      geom_abline(intercept = 0, slope = coef(m1)[1], color="dodgerblue3",
                    linetype="solid", size=0.5)+
        geom_abline(intercept = 0, slope = 1, color="black",
                    linetype="dashed", size=0.5) +
        geom_abline(intercept = 0, slope = coef(m2)[1], color="red",
                    linetype="solid", size=0.5) +
        geom_abline(intercept = 0, slope = coef(m3)[1], color="red",alpha=0.3,
                    linetype="dashed", size=0.5) +
        
#        annotate("text", x = 90, y = 10, label = ("MDA8 O3"), colour = "black",size=3)+
#        annotate("text", x = 15, y = 105, label = ("Obs (52 ppb)"), colour = "black",size=2)+
#        annotate("text", x = 15, y = 97, label = ("no VCP (43 ppb)"), colour = "red",alpha =0.3,size=2)+
#        annotate("text", x = 30, y = 89, label = ("Current model estimate (46 ppb)"), colour = "red",size=2)+
#        annotate("text", x = 30, y = 81, label = ("Recommended solution (51 ppb)"), colour = "dodgerblue3",size=2)+
        
        labs(x = "Observation (ppb)", y = "Simulation (ppb)") +
        xlim(0,110)+ylim(0,110)+
        theme_bw() +
        theme( axis.text = element_text(size=9,colour="black"),
               text = element_text(size=8),
               legend.position="none",
               panel.background = element_rect(colour = "black"),
               panel.grid.major = element_blank(),
               panel.grid.minor = element_blank(),
               axis.title.x=element_text(size=11,colour="black"),
               axis.title.y=element_text(size=11,colour="black"))
)

dev.off()

