library(ggplot2)

setwd ("/work/MOD3DEV/mqin/R_scripts/Output")

data1<-read.csv(file="Pasadena_OH_reactivity_0.25NOx_e4y10_esolv4_mean_all.csv",header=TRUE)
data1<-data1[c(2,5,8,12),]
data1$NONSOLV2 <-data1$ALL_ROH - data1$INORG_ROH - 0.9
data1$NONSOLV2[2]<-data1$NONSOLV2[2]-0.9
data1$NONSOLV2[3]<-data1$NONSOLV2[3]-0.9*2
data1$NONSOLV2[4]<-data1$NONSOLV2[4]-0.9*3

scen <- rep (c("1x","2x","3x","4x" ),times=3)
spec <- rep (c("VCP (NMOG-based)","Non-VCP","Inorganic"),each=4)
OHre <- c(data1$NMOGSOLV_ROH,data1$NONSOLV2,data1$INORG_ROH)
#OHre <- c(0.9,1.8,2.7,0.54,3.6,data1$NONSOLV2,data1$INORG_ROH)
data2 <- data.frame(scen,spec,OHre)
data3<-c("McDonald et al.","Inorganic",5.8)  #7.3 <- biogenic + inorganic
data4<-c("McDonald et al.","Non-VCP",5.5) # 1.5+4
data5<-c("McDonald et al.","VCP (NMOG-based)",4.8)
dataplot<-rbind(data2,data5,data4,data3)
dataplot$OHre<-as.numeric(dataplot$OHre)
dataplot$spec <-factor(dataplot$spec, levels=c("VCP (NMOG-based)","Non-VCP","Inorganic"))
print(dataplot)

filename = "plot.barplot.OH_reactivity_new.pdf"

fig.height = 9
fig.width  = 9
cm2inch    = 0.393701
pdf(file = filename,
             height=fig.height*cm2inch, width=fig.width*cm2inch,
             paper="special", bg="white")

print(ggplot(dataplot, aes(fill=spec, y=OHre, x=scen)) + geom_bar(stat="identity",alpha=0.6)
    + geom_hline(yintercept = 21, color="black",linetype="dashed", size=0.5)+
   ylim(0, 25) +
   labs(x = "", y = "OH reactivity (s-1)") +
   theme_bw() +
   theme( axis.text = element_text(size=10,colour="black"),
          legend.position="top",
          legend.title = element_blank(),
          panel.grid.major = element_blank(),
          panel.grid.minor = element_blank(),
          panel.background = element_rect(colour = "black"),
          axis.title.x=element_text(size=12,colour="black"),
          axis.title.y=element_text(size=12,colour="black"),
          axis.text.y=element_text(angle=90))

)
dev.off()




